summaryrefslogtreecommitdiffstats
path: root/Utilities
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2003-02-05 21:56:26 (GMT)
committerBrad King <brad.king@kitware.com>2003-02-05 21:56:26 (GMT)
commit3a68f653aee44e78c952c5b150da3f69c426871b (patch)
treecc5ae8c1062dc0a33e3ad9cc121218200587f305 /Utilities
parent388d3afd23598b7ce0a5b7f5d50b783e4652566e (diff)
downloadCMake-3a68f653aee44e78c952c5b150da3f69c426871b.zip
CMake-3a68f653aee44e78c952c5b150da3f69c426871b.tar.gz
CMake-3a68f653aee44e78c952c5b150da3f69c426871b.tar.bz2
ENH: Added win32_zipfile and win32_upload commands.
Diffstat (limited to 'Utilities')
-rwxr-xr-xUtilities/Release/cmake_release.sh31
1 files changed, 28 insertions, 3 deletions
diff --git a/Utilities/Release/cmake_release.sh b/Utilities/Release/cmake_release.sh
index 8893816..48da74e 100755
--- a/Utilities/Release/cmake_release.sh
+++ b/Utilities/Release/cmake_release.sh
@@ -23,8 +23,8 @@
#
# Release version number.
-TAG="Release-1-6-2"
-VERSION="1.6.2"
+TAG="Release-1-6-3"
+VERSION="1.6.3"
RELEASE="1"
PREVIOUS_VERSION="1.4.7"
PREVIOUS_RELEASE="1"
@@ -62,7 +62,7 @@ CMake Release Script Usage:
$0 [command]
Typical usage:
- Cleanup remote host's release directory:
+ Cleanup remote host release directory:
$0 remote <host> clean
@@ -637,6 +637,31 @@ cygwin_upload()
}
#-----------------------------------------------------------------------------
+win32_zipfile()
+{
+ setup || return 1
+ echo "Creating windows non-admin install zip file ..." &&
+ (
+ mkdir -p Win32 &&
+ cd "c:/Program Files" &&
+ rm -rf cmake-${VERSION}-x86-win.zip &&
+ zip -r cmake-${VERSION}-x86-win.zip CMake \
+ -x CMake/INSTALL.LOG -x CMake/UNWISE.EXE -x CMake/WiseUpdt.exe &&
+ mv cmake-${VERSION}-x86-win.zip ${RELEASE_ROOT}/Win32 &&
+ ) >Logs/win32_zipfile.log 2>&1 || error_log Logs/win32_zipfile.log
+}
+
+#-----------------------------------------------------------------------------
+win32_upload()
+{
+ setup || return 1
+ echo "------- Copying windows zip file to www.cmake.org. -------"
+ scp Win32/cmake-${VERSION}-x86-win.zip \
+ kitware@www.cmake.org:/projects/FTP/pub/cmake
+ echo "---- Done copying windows zip file to www.cmake.org. -----"
+}
+
+#-----------------------------------------------------------------------------
# Install CMake into the OSX package directory structure.
#
# osx_install